QGIS Application - Bug report #17526
Building virtual raster deforms whole raster in non native projection
2017-11-22 10:57 PM - Pawel Stankiewicz

Status: Closed

Priority: Normal

Assignee:

Category: GDAL Tools

Affected QGIS version:2.18.14 Regression?: No
Operating System: Windows 10 64 Easy fix?: No
Pull Request or Patch supplied: Resolution: invalid
Crashes QGIS or corrupls data: Copied to github as #: 25423
Description

It seems the whole raster is divided into smaller rectangles which contract or expand (depending on N-S) by a row and a column of pixels.
It occurs when ,,Build virtual raster” is chosen from Raster/ Miscellaneous/ menu. From ,,Processing Toolbox" ,,Build virtual raster" gives
results the same as from menu Raster/ Miscellaneous/ Merge... which seemed nearly identical to source rasters. I've attached two
reprojected SRTM DEM files. If there is no quick fix Raster/ Miscellaneous/ Build virtual raster should be disabled or some warning
added.

History

#1 - 2017-11-24 06:03 PM - Giovanni Manghi
- Status changed from Open to Feedback

| can't see absolutely any difference from the result obtained using the tool in Processing and in the "raster" menu: they both run the GDAL program

"gdalbuildvrt", please compare the actual command parameters used by Processing and the tool in the "raster" menu.

#2 - 2017-11-24 09:39 PM - Pawel Stankiewicz

| wrote about the difference between Toolbox and Raster menu, because in the Toolbox the option ,,Resolution" was switched on ,,Avarege" and | changed

to ,,Highest", in the ,,Raster" menu this option was grayed, so | didn't bother. Can you see a difference in virtaul rasters after ,,Highest" and ,,Avareage"

option? If yes | think the default option should be changed to ,,Heihest" resolution in Toolbox and Raster menu.

Now | don't know why | wrote a raster after ,,Merge" was OK because it seems like virtual raster after ,,Avaege" not like after ,,Highest" and source. | think

| should write it on GDAL project.

#3 - 2017-11-24 10:24 PM - Pawel Stankiewicz

Sorry for the waste of time. Choosing the highest resolution makes virtual raster near identical to source in one place but bigger deformation in another, so

on average, the average is the best option.

#4 - 2017-11-25 03:35 PM - Giovanni Manghi

Pawel Stankiewicz wrote:

Sorry for the waste of time. Choosing the highest resolution makes virtual raster near identical to source in one place but bigger deformation in

another, so on average, the average is the best option.
Hi, I'm confused. Where is the issue (considering that the tool from "gdal tools" are to be considered unmaintained and obsolete)?

#5 - 2017-11-26 10:26 AM - Pawel Stankiewicz

The issue is that in given area every time equal area projected grids will be slightly different after merging or virtualizing depending on size all source
rasters, far away from this given area. This a natural consequence of different resolutions of equal area projected rasters in different latitudes. It has
nothing to do with QGIS so the bug can be closed or deleted. | hope the best outcomes from centuries long considerations how to show a ball on paper

was implemented. Although making a virtual raster with different resolutions (maintained from source rasters), could be a solution.

Where are ,,"gdal tools" to be considered unmaintained and obsolete"? This month come out 2.2.3. | don't know what one is used in standalone QGIS.
#6 - 2017-11-26 11:21 AM - Giovanni Manghi

- Resolution set to invalid

- Status changed from Feedback to Closed

Files
DEMs.zip 3.03 MB 2017-11-22 Pawel Stankiewicz
